Uploaded image for project: 'Solr'
  1. Solr
  2. SOLR-8887

Solr Security features cannot export the internal, deprecated DefaultHttpClient class as part of their user facing API.

    Details

    • Type: Bug
    • Status: Open
    • Priority: Critical
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: 6.0
    • Component/s: None
    • Labels:
      None

      Description

      Seems security now really depends on HttpClientConfigurer. That class was only used for tests previously, and was at best completely unsupported. We can't promise an API that locks us into an internal, low level, class from a lib. Especially a deprecated one. Solr wants to own the http layer, not get locked into impls.

      We need to stop using DefaultHttpClient, and it's going to break this stuff.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                markrmiller@gmail.com Mark Miller
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated: